<?PHP
sapp_include_once('common.php');

// Check for https support

?>
<script type="text/javascript">
<!--
	
	function install_prefix_cH(f)
	{
		if (!f.install_dir.value){
			f.install_prefix.value = "<?=htmlspecialchars(sapp_get_install_prefix())?>";
		} else
			f.install_prefix.value = f.install_dir.value;
		
	}

	function install_prefix_oC(f)
	{

		if (f.install_type[0].checked){
			f.install_prefix.value = ".";
			f.install_dir.disabled = true;
		}

		if (f.install_type[1].checked) {
			f.install_prefix.value = f.install_dir.value
			if ((f.install_prefix.value == ".") || (!f.install_prefix.value))
				f.install_prefix.value = "<?=htmlspecialchars(sapp_get_install_prefix())?>";
			f.install_dir.disabled = false;
			f.install_dir.value = f.install_prefix.value;
			f.install_dir.focus();
			f.install_dir.select();
		}
		
		if (f.install_dir.value == "."){
			f.install_dir.value = "";
		}
	}
	
-->
</script>

<? 
	$document_root_available = false;
	if (function_exists('sapp_check_install_prefix')){
		$ret = sapp_check_install_prefix(SITEAPP_PREFIX_ROOT);
		if (in_array($ret, array(SITEAPP_DIR_NOT_EXISTS, SITEAPP_DIR_USED_BY_UNKNOWN))){
			$document_root_available = true;
		}
	}
	$in_document_root = ($document_root_available && (sapp_get_install_prefix() == ".")) ? true : false;
?>	

<fieldset>
	<legend><?=msg('installation_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">
	<!-- Https support section -->
	
	<? if (sapp_is_ssl_avaible()): ?>
	
	<tr <?=sapp_is_wrong('ssl') ? 'class="error"' : ''?>>
	        <td class="name"><?=msg('ssl')?>&nbsp;<?=REQ?></td>
	        <td>
	                <SELECT name="ssl">
	                        <OPTION value="false" <?=sapp_get_param('ssl')=='http' ? 'SELECTED':''?>><?=msg('ssl_off');?></OPTION>
	                        <OPTION value="true"  <?=sapp_get_param('ssl')=='https' ? 'SELECTED':''?>><?=msg('ssl_on');?></OPTION>
	                </SELECT>
	                <span class="hint"><?=sapp_is_wrong('ssl') ? sapp_get_wrong('ssl') : ''?></span>
	        </td>
	</tr>
	
	<? endif; ?>
	
	<!-- End of https support section -->

	<tr <?=((!$document_root_available || $in_document_root) && sapp_is_wrong('install_prefix')) ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-install_prefix"><?=msg('install_prefix')?> <?=REQ?></label></td>
<? if ($document_root_available): ?>	
	<td>
		<input type="radio" name="install_type" id="fid-install_type_std" value="." onclick="install_prefix_oC(this.form);" <?=$in_document_root ? 'checked' : '' ?>> <label for="fid-install_type_std"><?=msg('prefix_document_root');?></label>
		<span class="hint"><?=($in_document_root && sapp_is_wrong('install_prefix')) ? sapp_get_wrong('install_prefix') : ''?></span>
	</td>
	</tr>
	<tr <?=(!$in_document_root && sapp_is_wrong('install_prefix')) ? 'class="error"' : ''?>>
	<td><td>
	<input type="radio" name="install_type" id="fid-install_type_other" onclick="install_prefix_oC(this.form);" <?=!$in_document_root ? 'checked' : '' ?>> <label for="fid-install_type_other"><?=msg('prefix_other');?></label> 
<? else: ?>
	<td>
<? endif; ?>	
	<input type="text" name="install_dir" id="fid-install_dir" value="<?= $in_document_root ? "" : htmlspecialchars(sapp_get_install_prefix())?>" onchange="install_prefix_cH(this.form);" <?=($in_document_root)?"disabled":''?>>
	<input type="hidden" name="install_prefix" id="fid-install_prefix" value="<?=htmlspecialchars(sapp_get_install_prefix())?>">
	<span class="hint"><?=(!$in_document_root && sapp_is_wrong('install_prefix')) ? sapp_get_wrong('install_prefix') : ''?></span>
	</td>
</tr>
</table>

</fieldset>

<fieldset>
	<legend><?=msg('preferences')?></legend>

<TABLE class="formFields" width="100%" cellspacing="0">


<!-- Admin login section -->
<tr>
	<td class="name"><label for="fid-gtchat_admin_login"><?=msg('gtchat_admin_login')?>&nbsp;</label></td>
	<td><INPUT type="text" name="gtchat_admin_login" size="35" value="admin" disabled>
        </td>
</tr>

<!-- Admin password section -->
<TR <?=sapp_is_wrong('gtchat_admin_passwd') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_admin_passwd"><?=msg('gtchat_admin_passwd')?> <?=REQ?></label></TD>
	<TD>
		<INPUT type="password" name="gtchat_admin_passwd" size="35" value="<?=htmlspecialchars(sapp_get_param('gtchat_admin_passwd'))?>">
		<span class="hint"><?=sapp_is_wrong('gtchat_admin_passwd') ? sapp_get_wrong('gtchat_admin_passwd') : ''?></span>
	</TD>
</TR>
<!-- End of admin password section -->

<!-- Admin password confirmation section -->
<TR <?=sapp_is_wrong('gtchat_admin_confirm') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_admin_confirm"><?=msg('gtchat_admin_confirm')?> <?=REQ?></label></TD>
	<TD>
		<INPUT type="password" name="gtchat_admin_confirm" size="35" value="<?=htmlspecialchars(sapp_get_param('gtchat_admin_confirm'))?>">
		<span class="hint"><?=sapp_is_wrong('gtchat_admin_confirm') ? sapp_get_wrong('gtchat_admin_confirm') : ''?></span>
	</TD>
</TR>
<!-- End of admin password confirmation section -->

<!-- Admin email section -->
<TR <?=sapp_is_wrong('gtchat_admin_email') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_admin_email"><?=msg('gtchat_admin_email')?> <?=REQ?></label></TD>
	<TD>
		<INPUT type="text" name="gtchat_admin_email" size="35" value="<?=htmlspecialchars(sapp_get_param('gtchat_admin_email'))?>">
		<span class="hint"><?=sapp_is_wrong('gtchat_admin_email') ? sapp_get_wrong('gtchat_admin_email') : ''?></span>
	</TD>
</TR>
<!-- End of admin email section -->

<!-- Language selection section -->
<TR <?=sapp_is_wrong('gtchat_language') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_language"><?=msg('gtchat_language')?> <?=REQ?></label></TD>
	<TD>
		<SELECT name="gtchat_language"><?
			foreach (get_lang() AS $lang_key => $lang_name)
				echo '<OPTION value="' . $lang_key . '" ' . (sapp_get_param('gtchat_language') == $lang_key ? 'SELECTED' : '') . '>' . $lang_name . '</OPTION>';
		?></SELECT>
		<span class="hint"><?=sapp_is_wrong('gtchat_language') ? sapp_get_wrong('gtchat_language') : ''?></span>
	</TD>
</TR>
<!-- End of language selection section -->

<!-- Colorscheme selection section -->
<TR <?=sapp_is_wrong('gtchat_colorscheme') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_colorscheme"><?=msg('gtchat_colorscheme')?> <?=REQ?></label></TD>
	<TD>
		<SELECT name="gtchat_colorscheme"><?
			foreach (get_color() AS $color_key => $color_name)
				echo '<OPTION value="' . $color_key . '" ' . (sapp_get_param('gtchat_colorscheme') == $color_key ? 'SELECTED' : '') . '>' . $color_name . '</OPTION>';
		?></SELECT>
		<span class="hint"><?=sapp_is_wrong('gtchat_colorscheme') ? sapp_get_wrong('gtchat_colorscheme') : ''?></span>
	</TD>
</TR>
<!-- End of colorscheme selection section -->

<!-- Welcome message selection -->
<TR <?=sapp_is_wrong('gtchat_welcome_message') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_welcome_message"><?=msg('gtchat_welcome_message')?></label></TD>
	<TD>
		<INPUT type="text" name="gtchat_welcome_message" size="35" value="<?=htmlspecialchars(sapp_get_param('gtchat_welcome_message'))?>">
		<span class="hint"><?=sapp_is_wrong('gtchat_welcome_message') ? sapp_get_wrong('gtchat_welcome_message') : ''?></span>
	</TD>
</TR>
<!-- End of welcome message selection -->

</TABLE>

</fieldset>
