<?PHP
sapp_include_once('common.php');
?>

<fieldset>
	<legend><?=msg('preferences')?></legend>

<TABLE class="formFields" width="100%" cellspacing="0">

<!-- Admin login section -->
<tr>
	<td class="name"><label for="fid-gtchat_admin_login"><?=msg('gtchat_admin_login')?>&nbsp;</label></td>
	<td><INPUT type="text" name="gtchat_admin_login" size="35" value="admin" disabled>
        </td>
</tr>

<!-- Admin password section -->
<TR <?=sapp_is_wrong('gtchat_admin_passwd') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_admin_passwd"><?=msg('gtchat_admin_passwd')?> <?=REQ?></label></TD>
	<TD>
		<INPUT type="password" name="gtchat_admin_passwd" size="35" value="<?=htmlspecialchars(sapp_get_param('gtchat_admin_passwd'))?>">
		<span class="hint"><?=sapp_is_wrong('gtchat_admin_passwd') ? sapp_get_wrong('gtchat_admin_passwd') : ''?></span>
	</TD>
</TR>
<!-- End of admin password section -->

<!-- Admin password confirmation section -->
<TR <?=sapp_is_wrong('gtchat_admin_confirm') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_admin_confirm"><?=msg('gtchat_admin_confirm')?> <?=REQ?></label></TD>
	<TD>
		<INPUT type="password" name="gtchat_admin_confirm" size="35" value="<?=htmlspecialchars(sapp_get_param('gtchat_admin_confirm'))?>">
		<span class="hint"><?=sapp_is_wrong('gtchat_admin_confirm') ? sapp_get_wrong('gtchat_admin_confirm') : ''?></span>
	</TD>
</TR>
<!-- End of admin password confirmation section -->

<!-- Admin email section -->
<TR <?=sapp_is_wrong('gtchat_admin_email') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_admin_email"><?=msg('gtchat_admin_email')?> <?=REQ?></label></TD>
	<TD>
		<INPUT type="text" name="gtchat_admin_email" size="35" value="<?=htmlspecialchars(sapp_get_param('gtchat_admin_email'))?>">
		<span class="hint"><?=sapp_is_wrong('gtchat_admin_email') ? sapp_get_wrong('gtchat_admin_email') : ''?></span>
	</TD>
</TR>
<!-- End of admin email section -->

<!-- Language selection section -->
<TR <?=sapp_is_wrong('gtchat_language') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_language"><?=msg('gtchat_language')?> <?=REQ?></label></TD>
	<TD>
		<SELECT name="gtchat_language"><?
			foreach (get_lang() AS $lang_key => $lang_name)
				echo '<OPTION value="' . $lang_key . '" ' . (sapp_get_param('gtchat_language') == $lang_key ? 'SELECTED' : '') . '>' . $lang_name . '</OPTION>';
		?></SELECT>
		<span class="hint"><?=sapp_is_wrong('gtchat_language') ? sapp_get_wrong('gtchat_language') : ''?></span>
	</TD>
</TR>
<!-- End of language selection section -->

<!-- Colorscheme selection section -->
<TR <?=sapp_is_wrong('gtchat_colorscheme') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_colorscheme"><?=msg('gtchat_colorscheme')?> <?=REQ?></label></TD>
	<TD>
		<SELECT name="gtchat_colorscheme"><?
			foreach (get_color() AS $color_key => $color_name)
				echo '<OPTION value="' . $color_key . '" ' . (sapp_get_param('gtchat_colorscheme') == $color_key ? 'SELECTED' : '') . '>' . $color_name . '</OPTION>';
		?></SELECT>
		<span class="hint"><?=sapp_is_wrong('gtchat_colorscheme') ? sapp_get_wrong('gtchat_colorscheme') : ''?></span>
	</TD>
</TR>
<!-- End of colorscheme selection section -->

<!-- Welcome message selection -->
<TR <?=sapp_is_wrong('gtchat_welcome_message') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_welcome_message"><?=msg('gtchat_welcome_message')?> </label></TD>
	<TD>
		<INPUT type="text" name="gtchat_welcome_message" size="35" value="<?=htmlspecialchars(sapp_get_param('gtchat_welcome_message'))?>">
		<span class="hint"><?=sapp_is_wrong('gtchat_welcome_message') ? sapp_get_wrong('gtchat_welcome_message') : ''?></span>
	</TD>
</TR>
<!-- End of welcome message selection -->

</TABLE>

</fieldset>
